import Home from "../views/Home.vue";
import Authentication from "../views/Authentication.vue";
const routes = [
    {
        path: "/",
        name: "Home",
        component: Home
    },
    {
        path: "/about",
        name: "About",
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import(/* webpackChunkName: "about" */ "../views/About.vue")
    },
    {
        path: "/authentication/:action?",
        name: "Authentication",
        component: Authentication,
        props: true,
    }
];

export { routes };
