import { UserManager, WebStorageStateStore } from "oidc-client";

const userManager = new UserManager({
    authority: window.location.origin,
    client_id: "Props",
    redirect_uri: window.location.origin + "/authentication/login-callback",
    post_logout_redirect_uri: window.location.origin + "/authentication/logout-callback",
    response_type: "code",
    scope: "openid profile",
    userStore: new WebStorageStateStore({ store: window.localStorage }),
});

userManager.signinSilentCallback();
